#include "AppKernel.h"

using namespace App;


AppKernel::AppKernel( Render::RenderKernel& _renderKernel, Logic::LogicKernel& _logicKernel ) :
  m_renderKernel( _renderKernel ),
  m_logicKernel( _logicKernel )
{
  init();
}

AppKernel::~AppKernel(void)
{
  deinit();
}

void
AppKernel::init()
{
}

void
AppKernel::deinit()
{
}

void
AppKernel::reset()
{
  deinit();
  init();
}

void
AppKernel::update( float _secs )
{
  m_renderKernel.update( _secs );
  m_logicKernel.update( _secs );
}
