#include "Log.h"

using namespace Core;


Log::Log()
{
  reportingLevel() = logDEBUG4;
}

Log::~Log()
{
  flush();
}

std::ostringstream& 
Log::string()
{
  static std::ostringstream  s_string;
  return s_string;
}

OutputFile& 
Log::file()
{
  static OutputFile s_file("log.txt");
  return s_file;
}

std::ostringstream& 
Log::write( const bool doFlush )
{
  flush();
  //stream() << "- " << NowTime();
  //stream() << " " << ToString(level) << ": ";
  return string();
}



void
Log::flush()
{
  file() << string();
  file().flush();
  string().str("");
}

