#include "Brain.h"

#include "Config.h"

#include "data/world/World.h"

using namespace Data;
using Core::Direction;

Brain::Brain( Creature* _body ) :
  m_body ( _body )
{
  m_body->direction( Direction::DOWN );
}

Brain::~Brain(void)
{
}

void
Brain::update( const float& _secs )
{
}

void
Brain::defaultMove()
{
  if( World::tiles().isWalkable( m_body->tile(), m_body->offset(), m_body->direction() ) )
  {
    if( m_body->speed() < 0.1 )
    {
      m_body->setToMaxSpeed();
    }
  }
  else
  {
    m_body->speed( 0.0f );
    m_body->direction().rotate();

    if( rand() % 2 )
    {
      m_body->direction().rotate();
    }
  }
}

