#pragma once

#include "data/DataKernel.h"

namespace Logic {

class LogicKernel
{
  public:
    LogicKernel( Data::DataKernel& _dataKernel );
    ~LogicKernel(void);

    void update( const float _secs );

  private:
    static void reset();
    static void init();
    static void deinit();

    Data::DataKernel& m_dataKernel;

};

}; //Logic