#pragma once

#include "raknet/ReplicaManager3.h"

namespace Network {

class ReplicaConnection : public RakNet::Connection_RM3
{
public:
	ReplicaConnection( SystemAddress _systemAddress, RakNetGUID _guid ) : Connection_RM3( _systemAddress, _guid ) {}
	virtual ~ReplicaConnection() {}

	virtual RakNet::Replica3 *AllocReplica( RakNet::BitStream *allocationId, RakNet::ReplicaManager3 *replicaManager3 );

};

}; //Network