#include "System.h"

#include "Config.h"
#include "DarkGDK.h"

using namespace Core;

System::System(void)
{
	dbSyncOn   ( );
	dbSyncRate ( 60 );

  dbSetWindowOn();     // window mode On

  dbSetDisplayMode(
    Config::get<unsigned>("display.width"),
    Config::get<unsigned>("display.height"),
    Config::get<unsigned>("display.depth")
  ); 

	dbDisableEscapeKey ( );

  dbRandomize ( dbTimer ( ) );
}

System::~System(void)
{
}

void
System::update( const float _secs )
{
  dbSync();
}

int
System::getTimer()
{
  return dbTimer();
}

